:root {
  --primary: #ff330d;
  --secondary: #2c3638;
  --white: #ffffff;
  --black: #000000;
}

.homepage-banner {
  align-items: center;
  overflow: hidden;
}
.homepage-banner-colone {
  padding-right: 6.5rem;
}
.stack {
  position: relative;
  /* width: 800px;
  height: 800px; */
  width: auto;
  height: 640px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  overflow: hidden;
}

.highlight {
  color: var(--primary);
}

.card-slider {
  position: absolute;
  /* width: 60%; */
  width: 70%;
  height: 100%;
  border-radius: 10px;
  opacity: 0;
  transition: transform 0.8s ease-in-out, opacity 0.3s ease-in-out;
  padding: 0;
  box-shadow: none;
}

.card-slider img {
  width: 100%;
  height: 100%;
  border-radius: 0px;
  object-fit: cover;
  border: 10px solid var(--white) !important;
}

.card-slider.active {
  opacity: 1;
}

.card-slider.active img {
  border-radius: 20px !important;
}

#slideTitle {
  font-size: 46px;
  font-weight: 700;
  text-transform: capitalize;
  line-height: normal;
  width: 20ch;
}

#slideDescription p {
  width: 38ch;
  font-size: 22px;
  font-weight: 400;
  line-height: 30px;
  padding: 20px 0;
}

#slideTitle,
#slideDescription {
  transition: opacity 0.2s ease-in-out;
}

.homepage-banner .content h2 {
  font-size: 2rem;
  font-weight: bold;
  margin-bottom: 10px;
  color: var(--secondary);
}

.common-button {
  padding: 10px 16px;
  background: var(--primary);
  color: var(--white);
  border: none;
  border-radius: 10px;
  cursor: pointer;
  font-size: 18px;
  font-weight: 500;
}
a.common-button:hover {
  color: var(--white);
}
.homepage-banner .knowmore-rating {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  margin: 20px 0;
}
.homepage-banner .common-button {
  display: flex;
  align-items: center;
  gap: 8px;
  transition: background 0.4s ease-in-out;
  font-size: 18px;
}
.homepage-banner .common-button:hover {
  background: #2c3638;
  color: var(--white);
  transition: all 0.4s ease-in-out;
}
.homepage-banner .ratings {
  display: flex;
  border: 1px solid var(--primary);
  align-items: end;
  padding: 8px 12px;
  border-radius: 6px;
  gap: 10px;
}
.homepage-banner .ratings .fa-star,
.homepage-banner span.fa.fa-star-half-o.checked {
  font-size: 18px;
}
.homepage-banner .rating-title {
  font-size: 18px;
  font-weight: 500;
}
.homepage-banner .counter {
  display: grid;
  grid-template-columns: repeat(3, 170px);
  grid-gap: 0;
  align-items: start;
  text-align: start;
  margin: 46px 0 0;
  padding: 0;
}

.homepage-banner .counter .card-number {
  font-size: 42px;
  line-height: 50px;
  font-weight: 700;
  color: var(--primary);
}
.homepage-banner .counter .label--name {
  color: var(--secondary);
  font-size: 16px;
}

.homepage-banner .ratings .checked {
  color: var(--primary);
}
.small-logo-imgs {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  padding-top: 50px;
}

.small-logo-imgs div {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.small-logo-imgs img {
  max-width: 100%;
  height: auto;
  object-fit: contain;
}

.knowmore-rating a {
  text-decoration: none;
}
.content {
  display: none;
}
.content.active {
  display: block;
}
.content .location-icon {
  width: 38px;
  height: 100%;
  border-radius: 0 !important;
}
.hightlighColor {
  color: var(--primary);
}
.mt-logoslider {
  margin-top: 2.5rem;
}
@media (max-width: 375px) {
  .knowmore-rating {
    flex-wrap: wrap;
  }
}

@media (min-width: 320px) and (max-width: 575px) {
  #slideTitle {
    font-size: 32px;
    line-height: normal;
    width: 100%;
  }

  .container {
    padding-right: 15px !important;
    padding-left: 15px !important;
  }

  #slideDescription p {
    font-size: 17px;
    line-height: 26px;
    width: 100%;
  }

  .homepage-banner {
    gap: 0;
  }

  .stack {
    width: auto;
    height: 480px;
  }

  .card-slider {
    width: 100%;
    height: auto;
  }

  .card-slider img {
    width: 100%;
    height: 100% !important;
  }

  .homepage-banner .knowmore-rating {
    margin: 10px 0 0px;
    gap: 6px;
  }

  .homepage-banner .ratings {
    padding: 6px;
    gap: 6px;
  }

  .homepage-banner .ratings .fa-star {
    font-size: 15px;
  }

  .homepage-banner .rating-title {
    font-size: 15px;
  }

  .homepage-banner .common-button {
    padding: 10px 14px;
    font-size: 17px;
  }

  .homepage-banner .counter {
    margin: 36px 0 0;
    display: flex;
    flex-wrap: wrap;
  }
  .counter-box {
    width: 30%;
  }

  .homepage-banner .counter .card-number {
    font-size: 32px;
    line-height: 34px;
    margin-bottom: 4px;
  }

  .homepage-banner .counter .label--name {
    font-size: 14px;
    line-height: normal;
  }

  .content-container {
    margin-bottom: 3rem;
  }
}

@media (min-width: 576px) and (max-width: 767px) {
  .card-slider img {
    border: 0px !important;
  }
  #slideTitle {
    font-size: 32px;
    line-height: normal;
    width: 100%;
  }
  #slideDescription p {
    width: 100%;
    font-size: 17px;
    line-height: 26px;
  }
  .container {
    padding-right: 15px !important;
    padding-left: 15px !important;
  }

  .homepage-banner {
    gap: 0;
    padding: 40px 0 0;
  }

  .stack {
    width: auto;
    height: 480px;
  }

  .card-slider {
    width: 70%;
    height: auto;
  }

  .card-slider img {
    width: 100%;
    height: 100% !important;
  }

  .homepage-banner .knowmore-rating {
    margin: 10px 0 0px;
    gap: 6px;
  }

  .homepage-banner .ratings {
    padding: 6px;
    gap: 6px;
  }

  .homepage-banner .ratings .fa-star {
    font-size: 15px;
  }

  .homepage-banner .rating-title {
    font-size: 15px;
  }

  .homepage-banner .common-button {
    padding: 10px 14px;
    font-size: 17px;
  }

  .homepage-banner .counter {
    margin: 36px 0 0;
    grid-template-columns: repeat(3, 150px);
  }

  .homepage-banner .counter .card-number {
    font-size: 32px;
    line-height: 34px;
    margin-bottom: 4px;
  }

  .homepage-banner .counter .label--name {
    font-size: 14px;
    line-height: normal;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .homepage-banner-colone {
    padding-right: 3rem;
  }
  .common-button {
    font-size: 18px;
  }
  .card-slider {
    width: 100%;
    height: auto;
  }
  .stack {
    width: 100%;
    height: 550px;
  }
  #slideTitle {
    font-size: 30px;
    line-height: normal;
  }
  #slideDescription p {
    font-size: 18px;
    line-height: 28px;
    padding: 12px 0;
    width: 30ch;
  }
  .homepage-banner .knowmore-rating {
    margin: 20px 0 0px;
    gap: 14px;
  }

  .homepage-banner .ratings {
    padding: 6px;
    gap: 6px;
  }

  .homepage-banner .ratings .fa-star {
    font-size: 14px;
  }

  .homepage-banner .rating-title {
    font-size: 14px;
  }

  .homepage-banner .common-button {
    padding: 10px 14px;
  }
  .homepage-banner .counter {
    align-items: start;
    grid-gap: 14px;
    margin: 40px 0 0;
    grid-template-columns: repeat(3, 1fr);
  }
  .homepage-banner .counter .card-number {
    font-size: 36px;
    line-height: 44px;
    margin-bottom: 10px;
  }
  .homepage-banner .counter .label--name {
    font-size: 14px;
    line-height: normal;
  }
}

@media (min-width: 992px) and (max-width: 1023px) {
  .homepage-banner-colone {
    padding-right: 3rem;
  }
  .common-button {
    font-size: 18px;
  }
  .card-slider {
    width: 80%;
    height: auto;
  }
  .stack {
    width: 100%;
    height: 670px;
  }
  #slideTitle {
    font-size: 36px;
    line-height: normal;
  }
  #slideDescription p {
    font-size: 18px;
    line-height: 26px;
    padding: 12px 0;
    width: 30ch;
  }
  .homepage-banner .knowmore-rating {
    margin: 20px 0 0px;
    gap: 14px;
  }

  .homepage-banner .ratings {
    padding: 6px;
    gap: 6px;
  }

  .homepage-banner .ratings .fa-star {
    font-size: 14px;
  }

  .homepage-banner .rating-title {
    font-size: 14px;
  }

  .homepage-banner .common-button {
    padding: 8px 14px;
  }
  .homepage-banner .counter {
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 9px;
    text-align: center;
  }
  .homepage-banner .counter .card-number {
    font-size: 36px;
    line-height: 44px;
    margin-bottom: 10px;
  }
  .homepage-banner .counter .label--name {
    font-size: 16px;
    line-height: normal;
  }
}

@media (min-width: 1024px) and (max-width: 1199px) {
  .common-button {
    font-size: 18px;
  }
  .card-slider {
    width: 70%;
    height: auto;
  }
  .stack {
    width: 100%;
    height: 600px;
  }
  #slideTitle {
    font-size: 34px;
    line-height: normal;
  }
  #slideDescription p {
    font-size: 18px;
  }
  .homepage-banner .counter {
    align-items: start;
    grid-template-columns: repeat(3, auto);
    grid-gap: 0;
    margin: 30px 0 0;
  }
  .homepage-banner .counter .label--name {
    font-size: 16px;
    line-height: normal;
  }
  .homepage-banner .counter .card-number {
    font-size: 38px;
    line-height: 44px;
    margin-bottom: 10px;
  }
  .homepage-banner .common-button {
    gap: 4px;
  }
  .homepage-banner .ratings {
    padding: 8px;
    gap: 6px;
  }
  .homepage-banner .knowmore-rating {
    gap: 12px;
    margin: 0px 0;
  }
  .homepage-banner .ratings .fa-star {
    font-size: 15px;
  }
  .homepage-banner .rating-title {
    font-size: 16px;
  }
}

@media (min-width: 1200px) and (max-width: 1399px) {
  .common-button {
    font-size: 18px;
  }
  .card-slider {
    width: 70%;
    height: 620px;
  }
  .stack {
    width: auto;
    height: 600px;
  }

  #slideTitle {
    font-size: 38px;
    line-height: normal;
  }

  #slideDescription p {
    font-size: 20px;
  }

  .homepage-banner .counter {
    align-items: start;
    grid-gap: 14px;
    grid-template-columns: repeat(3, 150px);
  }

  .homepage-banner .ratings .fa-star {
    font-size: 15px;
  }

  .homepage-banner .rating-title {
    font-size: 16px;
  }
}
